#! /bin/csh
# filename: AWadvs-03.csh

# This script is the viewset for the Alias|Wavefront Advanced Visualizer
# application for UNIX systems
# There are 10 independent runs of viewperf
# The weights for each test are given
# October 10, 1995	- Initial version
# October 21, 1998	- Changed to csh, added viewperf and window size
#                         variables and screen grabs, renamed AWadvs-02
# February 28, 1999     - Added larger screen grabs and renamed AWadvs-03

set w=720
set h=720
if (! $?viewperf) then
  setenv viewperf ../viewperf61
endif

echo ""
echo "Viewset: AWadvs-03"
echo "Viewset version: 1.0"
echo "Test Number 1: Weight 41.8%"
echo ""
$viewperf -pg DYN -rm POLYGON -cp FRAME -zb -nll 2 -bf -tx advs1.mtv -magf LINEAR -minf LINEAR_MIPMAP_LINEAR -te MODULATE -xws $w -yws $h -grab grab1.scr

echo ""
echo "Viewset: AWadvs-03"
echo "Viewset version: 1.0"
echo "Test Number 2: Weight 28.5%"
echo ""
$viewperf -pg DYN -rm LINE -cp FRAME -xws $w -yws $h -grab grab2.scr

echo ""
echo "Viewset: AWadvs-03"
echo "Viewset version: 1.0"
echo "Test Number 3: Weight 10.45%"
echo ""
$viewperf -pg DYN -rm POLYGON -cp FRAME -zb -nll 2 -bf -tx advs2.mtv -te MODULATE  -xws $w -yws $h -grab grab3.scr

echo ""
echo "Viewset: AWadvs-03"
echo "Viewset version: 1.0"
echo "Test Number 4: Weight 9.5%"
echo ""
$viewperf -pg DYN -rm POLYGON -cp FRAME -zb -nll 2 -bf  -xws $w -yws $h -grab grab4.scr

echo ""
echo "Viewset: AWadvs-03"
echo "Viewset version: 1.0"
echo "Test Number 5: Weight 4.75%"
echo ""
$viewperf -pg DYN -rm POLYGON -cp FRAME -zb -f -nll 2 -bf  -xws $w -yws $h -grab grab5.scr

echo ""
echo "Viewset: AWadvs-03"
echo "Viewset version: 1.0"
echo "Test Number 6: Weight 2.2%"
echo ""
$viewperf -pg DYN -rm POLYGON -cp FRAME -zb -nll 2 -or -bf -tx advs1.mtv -magf LINEAR -minf LINEAR_MIPMAP_LINEAR -te MODULATE  -xws $w -yws $h -grab grab6.scr

echo ""
echo "Viewset: AWadvs-03"
echo "Viewset version: 1.0"
echo "Test Number 7: Weight 1.5%"
echo ""
$viewperf -pg DYN -rm LINE -cp FRAME -or -xws $w -yws $h -grab grab7.scr

echo ""
echo "Viewset: AWadvs-03"
echo "Viewset version: 1.0"
echo "Test Number 8: Weight .55%"
echo ""
$viewperf -pg DYN -rm POLYGON -cp FRAME -zb -nll 2 -or -bf -tx advs2.mtv -te MODULATE  -xws $w -yws $h -grab grab8.scr

echo ""
echo "Viewset: AWadvs-03"
echo "Viewset version: 1.0"
echo "Test Number 9: Weight .5%"
echo ""
$viewperf -pg DYN -rm POLYGON -cp FRAME -zb -nll 2 -or -bf  -xws $w -yws $h -grab grab9.scr

echo ""
echo "Viewset: AWadvs-03"
echo "Viewset version: 1.0"
echo "Test Number 10: Weight .25%"
echo ""
$viewperf -pg DYN -rm POLYGON -cp FRAME -zb -f -nll 2 -or -bf  -xws $w -yws $h -grab grab10.scr
