#! /bin/csh
# filename: DRV-056.csh

# This script is the Viewset for Design Review for UNIX systems
# There are 7 independent runs of viewperf
# The weights for each test are given
# April 28, 1995  - Release 0.9  Initial release
# June 5, 1995    - Release 1.0  Test scripts conform to OPC guidelines
# Nov 14, 1995    - Release 2.0  Update for viewperf 4, *.msh -> *, -nl -> -nil
# April 15, 1996  - Release 3.0  Changed to use walkthru and increased use of texturing
# May 21, 1996    - Release 4.0  Changed walkthru files so that less data was trivial rejected
# Oct 21, 1998    - Added viewperf variable, screen grabs, renamed DRV-05
# Feb. 28, 1999  - Added larger screen grabs, renamed DRV-06

if (! $?viewperf) then
  setenv viewperf ../viewperf61
endif

echo ""
echo "Viewset: DRV-06"
echo "Viewset version: 4.0"
echo "Test Number 1: Weight 45%"
echo ""
$viewperf -th -mh gyda1-ts -rm TMESH -zb -nil 1 -cp PRIMITIVE -wt -grab grab1.scr

echo ""
echo "Viewset: DRV-06"
echo "Viewset version: 4.0"
echo "Test Number 2: Weight 30%"
echo ""
$viewperf -th -mh gyda2-ts -rm TMESH -zb -flat -facetnormal -nil 1 -cp PRIMITIVE -wt -grab grab2.scr

echo ""
echo "Viewset: DRV-06"
echo "Viewset version: 4.0"
echo "Test Number 3: Weight 8%"
echo ""
$viewperf -th -mh gyda1-ts -rm TMESH -zb -nil 1 -cp PRIMITIVE -tx flag.mtv -te MODULATE -magf LINEAR -minf LINEAR_MIPMAP_LINEAR -wt -grab grab3.scr

echo ""
echo "Viewset: DRV-06"
echo "Viewset version: 4.0"
echo "Test Number 4: Weight 5%"
echo ""
$viewperf -th -mh gyda2-ts -rm TMESH -zb -flat -nil 1 -cp PRIMITIVE -tx flag.mtv -te MODULATE -magf LINEAR -minf LINEAR_MIPMAP_LINEAR -wt -grab grab4.scr

echo ""
echo "Viewset: DRV-06"
echo "Viewset version: 4.0"
echo "Test Number 5: Weight 4%"
echo ""
$viewperf -th -mh gyda2-ts -rm TMESH -vz -zb -flat -facetnormal -nil 1 -polystipple -cp PRIMITIVE -wt -grab grab5.scr

echo ""
echo "Viewset: DRV-06"
echo "Viewset version: 4.0"
echo "Test Number 6: Weight 4%"
echo ""
$viewperf -th -mh gyda0-wf -rm LINE -zb -flat -cp PRIMITIVE -wt -grab grab6.scr

echo ""
echo "Viewset: DRV-06"
echo "Viewset version: 4.0"
echo "Test Number 7: Weight 4%"
echo ""
$viewperf -mh gyda0-wf -rm LINE -ortho -flat -cp PRIMITIVE -grab grab7.scr
