#! /bin/csh
#
# This script is the Viewset for the Data Explorer Application
# There are 10 independent runs of Viewperf.
# The weights for each test are given.
# Sept. 6, 1994   - Original
# Nov. 8, 1994    - Change '-tn 3' options to '-cp VERTEX' 
# Apr. 21, 1995   - Add Viewset name and version.
# May 19, 1995    - Remove indirect render tests (was 3,4,7,8) and order tests
#                   from highest to lowest weight.  
# Apr. 9, 1996    - Make changes to this script to be Viewperf Version 4 conformant.
# Oct. 21, 1998   - Added viewperf variable, screen grabs, renamed DX-04
# Feb. 28, 1999   - Added larger screen grabs and renamed DX-05

if (! $?viewperf) then
  setenv viewperf ../viewperf61
endif

echo ""
echo "Viewset: DX-05"
echo "Viewset version: 1.0"
echo "Test Number 1: Weight 40%"
echo ""
$viewperf -mesh dx -cp VERTEX -zb -nil 1 -rm TMESH -grab grab1.scr 

echo ""
echo "Viewset: DX-05"
echo "Viewset version: 1.0"
echo "Test Number 2: Weight 20%"
echo ""
$viewperf -mesh dx -cp VERTEX -zb -nil 1 -rm LINE -grab grab2.scr

echo ""
echo "Viewset: DX-05"
echo "Viewset version: 1.0"
echo "Test Number 3: Weight 10%"
echo ""
$viewperf -mesh dx -cp VERTEX -zb -nil 1 -rm TMESH -displaylist -grab grab3.scr

echo ""
echo "Viewset: DX-05"
echo "Viewset version: 1.0"
echo "Test Number 4: Weight 8%"
$viewperf -mesh dx -cp VERTEX -zb -nil 1 -rm POINT -grab grab4.scr 

echo ""
echo "Viewset: DX-05"
echo "Viewset version: 1.0"
echo "Test Number 5: Weight 5%"
echo ""
$viewperf -mesh dx -cp VERTEX -zb -nil 1 -rm LINE  -displaylist -grab grab5.scr

echo ""
echo "Viewset: DX-05"
echo "Viewset version: 1.0"
echo "Test Number 6: Weight 5%"
echo ""
$viewperf -mesh dx -cp VERTEX -zb -nil 1 -rm TMESH -facetnormal -grab grab6.scr

echo ""
echo "Viewset: DX-05"
echo "Viewset version: 1.0"
echo "Test Number 7: Weight 5%"
echo ""
$viewperf -mesh dx -cp VERTEX -zb -nil 1 -rm TMESH -pp -grab grab7.scr 

echo ""
echo "Viewset: DX-05"
echo "Viewset version: 1.0"
echo "Test Number 8: Weight 2.5%"
echo ""
$viewperf -mesh dx -cp VERTEX -zb -nil 1 -rm TMESH -lighttwoside -grab grab8.scr 

echo ""
echo "Viewset: DX-05"
echo "Viewset version: 1.0"
echo "Test Number 9: Weight 2.5"
echo ""
$viewperf -mesh dx -cp VERTEX -zb -nil 1 -rm TMESH -clip -grab grab9.scr

echo ""
echo "Viewset: DX-05"
echo "Viewset version: 1.0"
echo "Test Number 10: Weight 2%"
echo ""
$viewperf -mesh dx -cp VERTEX -zb -nil 1 -rm POINT -displaylist -grab grab10.scr
