#!/bin/csh -f
echo "ProCDRS-02 viewset"

setenv DECOUPLE_SWAPBUF 'y'
setenv HPOGLINT_DSM_ENABLE_DB_TEARING 1 
setenv OGL_NO_VBLANK 1

if (! $?viewperf) then
  setenv viewperf ../viewperf61
endif
set width=1260
set height=980
set minperiod=20
set tex1=marble-slate.ppm
set tex2=marble-slate.ppm

echo
echo "test 1"
echo "wireframe - weight 25%"
echo
$viewperf -mh newtruck-wire -dl -linesmooth -srcblendfunc SRC_ALPHA -dstblendfunc ONE_MINUS_SRC_ALPHA -f -xws $width -yws $height -newview -mp $minperiod -grab grab1.scr 

echo
echo "test 2"
echo "wireframe, walk through - weight 25%"
echo
$viewperf -mh newtruck-wire -dl -linesmooth -srcblendfunc SRC_ALPHA -dstblendfunc ONE_MINUS_SRC_ALPHA -f -xws $width -yws $height -newview -wt -grab grab2.scr 

echo
echo "test 3"
echo "shaded - weight 10%"
echo
$viewperf -mh newtruck-shade -dl -zb -vz -nil 1 -l2s -xws $width -yws $height -newview -mp $minperiod -grab grab3.scr 

echo
echo "test 4"
echo "shaded, walk through - weight 10%"
echo
$viewperf -mh newtruck-shade -dl -zb -vz -nil 1 -l2s -xws $width -yws $height -newview -mp $minperiod -wt -grab grab4.scr 

echo
echo "test 5"
echo "shaded with texture - weight 5%"
echo
$viewperf -mh newtruck-shade -dl -zb -vz -nil 1 -l2s -xws $width -yws $height -tx $tex1 -magf LINEAR -minf LINEAR_MIPMAP_NEAREST -te MODULATE -newview -mp $minperiod -grab grab5.scr 
  
echo
echo "test 6"
echo "shaded with texture, walk through - weight 5%"
echo
$viewperf -mh newtruck-shade -dl -zb -vz -nil 1 -l2s -xws $width -yws $height -tx $tex1 -magf LINEAR -minf LINEAR_MIPMAP_NEAREST -te MODULATE -newview -wt -grab grab6.scr 

echo
echo "test 7"
echo "shaded with texgen eye linear - weight 3%"
echo
$viewperf -mh newtruck-shade -dl -zb -vz -nil 1 -l2s -xws $width -yws $height -txg $tex2 EYE_LINEAR -magf LINEAR -minf LINEAR_MIPMAP_NEAREST -te MODULATE -newview -mp $minperiod -grab grab7.scr 

echo
echo "test 8"
echo "shaded with texgen eye linear, walk through - weight 3%"
echo
$viewperf -mh newtruck-shade -dl -zb -vz -nil 1 -l2s -xws $width -yws $height -txg $tex2 EYE_LINEAR -magf LINEAR -minf LINEAR_MIPMAP_NEAREST -te MODULATE -newview -wt -grab grab8.scr 

echo
echo "test 9"
echo "shaded with color per vertex - weight 7%"
echo
$viewperf -mh newtruck-shade -dl -zb -vz -nil 1 -l2s -cp VERTEX -cm FRONT_AND_BACK -xws $width -yws $height -newview -mp $minperiod -grab grab9.scr 

echo
echo "test 10"
echo "shaded with color per vertex, walk through - weight 7%"
echo
$viewperf -mh newtruck-shade -dl -zb -vz -nil 1 -l2s -cp VERTEX -cm FRONT_AND_BACK -xws $width -yws $height -newview -wt -grab grab10.scr 
